App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
mhr.appandroid.adapters.APDImagePresentation Class Reference

Androidí prezentace obrazu. More...

Inheritance diagram for mhr.appandroid.adapters.APDImagePresentation:

## Classes
interface | OnImagePresentationChangedListener
| Interface pro posluchače, který chce být informován o změnách prezentace. More...

## Public Member Functions
| APDImagePresentation (int layerThumbWidth, int layerThumbHeight, int maskThumbWidth, int maskThumbHeight)
| Defaultní konstruktor, udává rozměry náhledů.
void | setOnImagePresentationChangedListener (OnImagePresentationChangedListener listener, Activity activity)
| Nastaví posluchače události a aktivitu, na jejímž UI vlákně má být posluchač upozorněn.
PDBitmap | createLayerThumb ()
| Vytvoří platformě závislou bitmapu pro náhled vrstvy.
PDBitmap | createMaskThumb ()
| Vytvoří platformě závislou bitmapu pro náhled masky.
void | hasChanged ()
| Slouží k oznámení klientovy, že se něco na prezentaci změnilo.
void | addLayerInfo (LayerPDInfo info)
| Přidá informace o vrstvě na konec seznamu vrstev. Vrstva bude úplně nahoře.
void | addLayerInfo (LayerPDInfo info, int overId)
| Přidá informace o vrstvě tak, že budou těsně nad informacemi o vrstvě s overId.
LayerPDInfo | getLayerInfo (int id) throws LayerNotFoundException
| Vrací informace o vrstvě s daným ID.
int | getLayersCount ()
| Vrací počet vrstev v obraze.
void | removeLayer (int id) throws LayerNotFoundException
| Odebere vrstvu s daným id.
void | moveLayer (int id, int beforeId) throws LayerNotFoundException
| -1 znamená přesun úplně dospod
ArrayList< LayerPDInfo > | getLayers ()
| Vrátí pole, ve kterém jsou uložené jednotlivé vrstvy.

## Public Attributes
ImageSelectedState | selectedState
| Udává, co je vlastně vybráno.
int | selectedLayerId
| Udává id vybrané vrstvy, pokud je vybrána vrstva nebo její maska.
PDBitmap | masterMask
| Náhled masterMask.
boolean | masterMaskActive
| Udává, jestli je masterMask použita.

## Protected Member Functions
int | getLayerPosition (int id)
| Vrátí pozici, na které je vrstva uložena.

## Protected Attributes
int | layerThumbWidth
| Šířka náhledu vrstvy.
int | layerThumbHeight
| Výška náhledu vrstvy.
int | maskThumbWidth
| Šířka náhledu masky.
int | maskThumbHeight
| Výška náhledu masky.
OnImagePresentationChangedListener | listener = null
| Posluchač, který je informován o změně.
Activity | activity = null
| Activity aplikace, ne jejímž UI vlákně se má posluchač notifikovat.
ArrayList< LayerPDInfo > | layers = new ArrayList<LayerPDInfo>()
| Pole, ve kterém jsou uloženy informace o vrstvách.

## Detailed Description

Androidí prezentace obrazu.

Definition at line 12 of file APDImagePresentation.java.

## Constructor & Destructor Documentation

mhr.appandroid.adapters.APDImagePresentation.APDImagePresentation | ( | int | layerThumbWidth,
|  | int | layerThumbHeight,
|  | int | maskThumbWidth,
|  | int | maskThumbHeight
| ) |  |
| inline

Defaultní konstruktor, udává rozměry náhledů.

Parameters

  layerThumbWidth |
  layerThumbHeight |
  maskThumbWidth |
  maskThumbHeight |

Definition at line 49 of file APDImagePresentation.java.

{
this.layerThumbWidth = layerThumbWidth;
this.layerThumbHeight = layerThumbHeight;
this.maskThumbWidth = maskThumbWidth;
this.maskThumbHeight = maskThumbHeight;
}

## Member Function Documentation

void mhr.appcore.interfaces.PDImageDataPresentation.addLayerInfo | ( | LayerPDInfo | info | ) |
| inlineinherited

Přidá informace o vrstvě na konec seznamu vrstev. Vrstva bude úplně nahoře.

Parameters

  info |

Definition at line 34 of file PDImageDataPresentation.java.

{
layers.add(info);
}

void mhr.appcore.interfaces.PDImageDataPresentation.addLayerInfo | ( | LayerPDInfo | info,
|  | int | overId
| ) |  |
| inlineinherited

Přidá informace o vrstvě tak, že budou těsně nad informacemi o vrstvě s overId.

Parameters

  info |
  overId |

Definition at line 43 of file PDImageDataPresentation.java.

{
layers.add(getLayerPosition(overId) + 1, info);
}

PDBitmap mhr.appandroid.adapters.APDImagePresentation.createLayerThumb | ( |  | ) |
| inlinevirtual

Vytvoří platformě závislou bitmapu pro náhled vrstvy.

Returns

Implements mhr.appcore.interfaces.PDImageDataPresentation.

Definition at line 70 of file APDImagePresentation.java.

{
return new APDBitmap(Bitmap.createBitmap(layerThumbWidth, layerThumbHeight, Bitmap.Config.ARGB_8888));
}

PDBitmap mhr.appandroid.adapters.APDImagePresentation.createMaskThumb | ( |  | ) |
| inlinevirtual

Vytvoří platformě závislou bitmapu pro náhled masky.

Returns

Implements mhr.appcore.interfaces.PDImageDataPresentation.

Definition at line 75 of file APDImagePresentation.java.

{
return new APDBitmap(Bitmap.createBitmap(maskThumbWidth, maskThumbHeight, Bitmap.Config.ALPHA_8));
}

LayerPDInfo mhr.appcore.interfaces.PDImageDataPresentation.getLayerInfo | ( | int | id | ) | throws LayerNotFoundException
| inlineinherited

Vrací informace o vrstvě s daným ID.

Parameters

  id |

Returns

Exceptions

  LayerNotFoundException |

Definition at line 70 of file PDImageDataPresentation.java.

{
for (LayerPDInfo l : layers) {
if (l.id == id) {
return l;
}
}
throw new LayerNotFoundException("Layer info not found");
}

int mhr.appcore.interfaces.PDImageDataPresentation.getLayerPosition | ( | int | id | ) |
| inlineprotectedinherited

Vrátí pozici, na které je vrstva uložena.

Parameters

  id |

Returns

Definition at line 134 of file PDImageDataPresentation.java.

{
LayerPDInfo l = getLayerInfo(id);
return layers.indexOf(l);
}

ArrayList<LayerPDInfo> mhr.appcore.interfaces.PDImageDataPresentation.getLayers | ( |  | ) |
| inlineinherited

Vrátí pole, ve kterém jsou uložené jednotlivé vrstvy.

Returns

Definition at line 118 of file PDImageDataPresentation.java.

{
return layers;
}

int mhr.appcore.interfaces.PDImageDataPresentation.getLayersCount | ( |  | ) |
| inlineinherited

Vrací počet vrstev v obraze.

Returns

Definition at line 83 of file PDImageDataPresentation.java.

{
return layers.size();
}

void mhr.appandroid.adapters.APDImagePresentation.hasChanged | ( |  | ) |
| inlinevirtual

Slouží k oznámení klientovy, že se něco na prezentaci změnilo.

Implements mhr.appcore.interfaces.PDImageDataPresentation.

Definition at line 80 of file APDImagePresentation.java.

{
if (listener != null && activity != null) {
activity.runOnUiThread(new Runnable() {
@Override
public void run() {
listener.onImagePresentationChanged(APDImagePresentation.this);
}
});
}
}

void mhr.appcore.interfaces.PDImageDataPresentation.moveLayer | ( | int | id,
|  | int | beforeId
| ) |  | throws LayerNotFoundException
| inlineinherited

-1 znamená přesun úplně dospod

Přesune vrstvu s daným id před vrstvu s beforeId.

Parameters

  id |
  beforeId |

Exceptions

  LayerNotFoundException |

Definition at line 103 of file PDImageDataPresentation.java.

{
LayerPDInfo l = getLayerInfo(id);
int oldIndex = layers.indexOf(l);
int newIndex = (beforeId < 0) ? layers.size() : layers.indexOf(getLayerInfo(beforeId));
layers.remove(l);
if (oldIndex < newIndex) {
newIndex--;
}
layers.add(newIndex, l);
}

void mhr.appcore.interfaces.PDImageDataPresentation.removeLayer | ( | int | id | ) | throws LayerNotFoundException
| inlineinherited

Odebere vrstvu s daným id.

Parameters

  id |

Exceptions

  LayerNotFoundException |

Definition at line 92 of file PDImageDataPresentation.java.

{
layers.remove(getLayerInfo(id));
}

void mhr.appandroid.adapters.APDImagePresentation.setOnImagePresentationChangedListener | ( | OnImagePresentationChangedListener | listener,
|  | Activity | activity
| ) |  |
| inline

Nastaví posluchače události a aktivitu, na jejímž UI vlákně má být posluchač upozorněn.

Parameters

  listener |
  activity |

Definition at line 64 of file APDImagePresentation.java.

{
this.listener = listener;
this.activity = activity;
}

## Member Data Documentation

Activity mhr.appandroid.adapters.APDImagePresentation.activity = null
| protected

Activity aplikace, ne jejímž UI vlákně se má posluchač notifikovat.

Definition at line 36 of file APDImagePresentation.java.

ArrayList<LayerPDInfo> mhr.appcore.interfaces.PDImageDataPresentation.layers = new ArrayList<LayerPDInfo>()
| protectedinherited

Pole, ve kterém jsou uloženy informace o vrstvách.

Definition at line 126 of file PDImageDataPresentation.java.

int mhr.appandroid.adapters.APDImagePresentation.layerThumbHeight
| protected

Výška náhledu vrstvy.

Definition at line 31 of file APDImagePresentation.java.

int mhr.appandroid.adapters.APDImagePresentation.layerThumbWidth
| protected

Šířka náhledu vrstvy.

Definition at line 30 of file APDImagePresentation.java.

OnImagePresentationChangedListener mhr.appandroid.adapters.APDImagePresentation.listener = null
| protected

Posluchač, který je informován o změně.

Definition at line 35 of file APDImagePresentation.java.

int mhr.appandroid.adapters.APDImagePresentation.maskThumbHeight
| protected

Výška náhledu masky.

Definition at line 33 of file APDImagePresentation.java.

int mhr.appandroid.adapters.APDImagePresentation.maskThumbWidth
| protected

Šířka náhledu masky.

Definition at line 32 of file APDImagePresentation.java.

PDBitmap mhr.appcore.interfaces.PDImageDataPresentation.masterMask
| inherited

Náhled masterMask.

Definition at line 23 of file PDImageDataPresentation.java.

boolean mhr.appcore.interfaces.PDImageDataPresentation.masterMaskActive
| inherited

Udává, jestli je masterMask použita.

Definition at line 24 of file PDImageDataPresentation.java.

int mhr.appcore.interfaces.PDImageDataPresentation.selectedLayerId
| inherited

Udává id vybrané vrstvy, pokud je vybrána vrstva nebo její maska.

Definition at line 22 of file PDImageDataPresentation.java.

ImageSelectedState mhr.appcore.interfaces.PDImageDataPresentation.selectedState
| inherited

Udává, co je vlastně vybráno.

Definition at line 21 of file PDImageDataPresentation.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appandroid/src/mhr/appandroid/adapters/APDImagePresentation.java